package com.fr.plugin;

import com.fr.decision.fun.impl.AbstractWebResourceProvider;
import com.fr.decision.web.MainComponent;
import com.fr.plugin.transform.ExecuteFunctionRecord;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.stable.fun.Authorize;
import com.fr.web.struct.Atom;
@Authorize(callSignKey = "com.fr.plugin.custom.logo" )
@FunctionRecorder
public class LogoJSHander extends AbstractWebResourceProvider {

    /**
     * 需要附加到的主组件
     *
     * @return 主组件
     */

    @Override
    @ExecuteFunctionRecord
    public Atom attach() {
        return MainComponent.KEY;
    }

    /**
     * 客户端所需的组件
     *
     * @return 组件
     */
    @Override
    public Atom client() {
        return CustomLogoComponent.KEY;
    }
}
